import React__default,{useEffect}from'react';import {useAddScheduleEventMutation,useGetScheduleEventsQuery}from'common/lib/generated/generated.js';import {message}from'antd';import moment from'moment';import TimelineComponent from'./Timeline.js';const Timeline = (props) => {
    const [addMutation] = useAddScheduleEventMutation();
    const handleAddSchedule = (request) => {
        addMutation({ variables: { request } })
            .then(() => {
            message.success('A new event has been created!');
            refetch();
        })
            .catch((err) => {
            console.log(err.message);
            message.error('Event creation failed!');
        });
    };
    const { data, loading, error, refetch } = useGetScheduleEventsQuery();
    useEffect(() => {
        refetch();
    }, [refetch]);
    return data && !loading ? (React__default.createElement(TimelineComponent, { handleAddSchedule: handleAddSchedule, events: data.getScheduleEvents.map((ev) => ({
            ...ev,
            start: moment(ev.start).toDate(),
            end: moment(ev.end).toDate(),
        })) })) : null;
};export{Timeline as default};//# sourceMappingURL=index.js.map
